BasicStrokeEditorMenu (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics
Class BasicStrokeEditorMenu

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPopupMenu
                      com.bbn.openmap.omGraphics.BasicStrokeEditorMenu

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.MenuElement

    public class BasicStrokeEditorMenu

extends javax.swing.JPopupMenu

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPopupMenu
`javax.swing.JPopupMenu.AccessibleJPopupMenu, javax.swing.JPopupMenu.Separator`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected java.awt.BasicStroke` | `basicStroke`
`protected float[]` | `dash`
`protected float` | `dashPhase`
`protected int` | `endCaps`
`protected javax.swing.JButton` | `launchButton`
`protected int` | `lineJoins`
`protected float` | `miterLimit`
`static java.lang.String` | `NONE`
`protected java.beans.PropertyChangeSupport` | `pcs`
`protected float` | `width`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`BasicStrokeEditorMenu()`
`BasicStrokeEditorMenu(java.awt.BasicStroke bs)`

Method Summary
`static javax.swing.ImageIcon` | `createColorIcon(java.awt.BasicStroke stroke, int width, int height, boolean horizontalOrientation, java.awt.Color color, java.awt.Color background, java.awt.Color matting)` Given a BasicStroke, create an ImageIcon that shows it.
`static javax.swing.ImageIcon` | `createIcon(java.awt.BasicStroke stroke, int width, int height, boolean horizontalOrientation)` Given a BasicStroke, create an ImageIcon that shows it.
`static java.lang.String` | `dashArrayToString(float[] da)`
`java.awt.BasicStroke` | `getBasicStroke()`
`float[]` | `getDash()`
`float` | `getDashPhase()`
`int` | `getEndCaps()`
`javax.swing.JButton` | `getLaunchButton()`
`int` | `getLineJoins()`
`float` | `getMiterLimit()`
`java.beans.PropertyChangeSupport` | `getPropertyChangeSupport()`
`float` | `getStrokeWidth()`
`void` | `resetStroke()`
`void` | `setBasicStroke(java.awt.BasicStroke bs)`
`void` | `setDash(float[] da)`
`void` | `setDashPhase(float dp)`
`void` | `setEndCaps(int ec)`
`javax.swing.JComponent` | `setGUI(javax.swing.JComponent popup)`
`void` | `setLaunchButton(javax.swing.JButton lb)`
`void` | `setLineJoins(int lj)`
`void` | `setMiterLimit(float ml)`
`void` | `setPropertyChangeSupport(java.beans.PropertyChangeSupport propertyChangeSupport)`
`void` | `setStrokeWidth(float w)`
`void` | `show(java.awt.Component invoker, int x, int y)`
`static float[]` | `stringToDashArray(java.lang.String das)`

Methods inherited from class javax.swing.JPopupMenu
`add, add, add, addMenuKeyListener, addPopupMenuListener, addSeparator, createActionChangeListener, createActionComponent, firePopupMenuCanceled, firePopupMenuWillBecomeInvisible, firePopupMenuWillBecomeVisible, getAccessibleContext, getComponent, getComponentAtIndex, getComponentIndex, getDefaultLightWeightPopupEnabled, getInvoker, getLabel, getMargin, getMenuKeyListeners, getPopupMenuListeners, getSelectionModel, getSubElements, getUI, getUIClassID, insert, insert, isBorderPainted, isLightWeightPopupEnabled, isPopupTrigger, isVisible, menuSelectionChanged, pack, paintBorder, paramString, processFocusEvent, processKeyEvent, processKeyEvent, processMouseEvent, remove, removeMenuKeyListener, removePopupMenuListener, setBorderPainted, setDefaultLightWeightPopupEnabled, setInvoker, setLabel, setLightWeightPopupEnabled, setLocation, setPopupSize, setPopupSize, setSelected, setSelectionModel, setUI, setVisible, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### basicStroke

    protected java.awt.BasicStroke basicStroke

### pcs

    protected java.beans.PropertyChangeSupport pcs

### width

    protected float width

### endCaps

    protected int endCaps

### lineJoins

    protected int lineJoins

### miterLimit

    protected float miterLimit

### dash

    protected float[] dash

### dashPhase

    protected float dashPhase

### launchButton

    protected javax.swing.JButton launchButton

### NONE

    public static final java.lang.String NONE

See Also:
  Constant Field Values

Constructor Detail

### BasicStrokeEditorMenu

    public BasicStrokeEditorMenu()

### BasicStrokeEditorMenu

    public BasicStrokeEditorMenu(java.awt.BasicStroke bs)

Method Detail

### setLaunchButton

    public void setLaunchButton(javax.swing.JButton lb)

### getLaunchButton

    public javax.swing.JButton getLaunchButton()

### resetStroke

    public void resetStroke()

### show

    public void show(java.awt.Component invoker,
                     int x,
                     int y)

  Overrides:
    `show` in class `javax.swing.JPopupMenu`

### setGUI

    public javax.swing.JComponent setGUI(javax.swing.JComponent popup)

### dashArrayToString

    public static java.lang.String dashArrayToString(float[] da)

### stringToDashArray

    public static float[] stringToDashArray(java.lang.String das)

### getBasicStroke

    public java.awt.BasicStroke getBasicStroke()

### setBasicStroke

    public void setBasicStroke(java.awt.BasicStroke bs)

### setPropertyChangeSupport

    public void setPropertyChangeSupport(java.beans.PropertyChangeSupport propertyChangeSupport)

### getPropertyChangeSupport

    public java.beans.PropertyChangeSupport getPropertyChangeSupport()

### createIcon

    public static javax.swing.ImageIcon createIcon(java.awt.BasicStroke stroke,
                                                   int width,
                                                   int height,
                                                   boolean horizontalOrientation)

  Given a BasicStroke, create an ImageIcon that shows it.

  Parameters:
    `stroke` - the BasicStroke to draw on the Icon.
    `width` - the width of the icon.
    `height` - the height of the icon.
    `horizontalOrientation` - if true, draw line on the icon horizontally, else draw it vertically.

### createColorIcon

    public static javax.swing.ImageIcon createColorIcon(java.awt.BasicStroke stroke,
                                                        int width,
                                                        int height,
                                                        boolean horizontalOrientation,
                                                        java.awt.Color color,
                                                        java.awt.Color background,
                                                        java.awt.Color matting)

  Given a BasicStroke, create an ImageIcon that shows it.

  Parameters:
    `stroke` - the BasicStroke to draw on the Icon.
    `width` - the width of the icon.
    `height` - the height of the icon.
    `horizontalOrientation` - if true, draw line on the icon horizontally, else draw it vertically.

### setStrokeWidth

    public void setStrokeWidth(float w)

### getStrokeWidth

    public float getStrokeWidth()

### setMiterLimit

    public void setMiterLimit(float ml)

### getMiterLimit

    public float getMiterLimit()

### setDash

    public void setDash(float[] da)

### getDash

    public float[] getDash()

### setDashPhase

    public void setDashPhase(float dp)

### getDashPhase

    public float getDashPhase()

### setEndCaps

    public void setEndCaps(int ec)

### getEndCaps

    public int getEndCaps()

### setLineJoins

    public void setLineJoins(int lj)

### getLineJoins

    public int getLineJoins()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details